# class Tk::Iwidgets::Labeledwidget

### Constants

TkCommandNames
WidgetClassName

### Public Class Methods

alignlabels(*wins) click to toggle source

    # File lib/tkextlib/iwidgets/labeledwidget.rb, line 39
    def self.alignlabels(*wins)
      tk_call('::iwidgets::Labeledwidget::alignlabels', *wins)
    end

### Public Instance Methods

child_site() click to toggle source

    # File lib/tkextlib/iwidgets/labeledwidget.rb, line 43
    def child_site
      window(tk_call(@path, 'childsite'))
    end

### Private Instance Methods

__font_optkeys() click to toggle source
Calls superclass method

    # File lib/tkextlib/iwidgets/labeledwidget.rb, line 34
    def __font_optkeys
      super() << 'labelfont'
    end

__strval_optkeys() click to toggle source
Calls superclass method

    # File lib/tkextlib/iwidgets/labeledwidget.rb, line 24
    def __strval_optkeys
      super() << 'labeltext'
    end

__tkvariable_optkeys() click to toggle source
Calls superclass method

    # File lib/tkextlib/iwidgets/labeledwidget.rb, line 29
    def __tkvariable_optkeys
      super() << 'labelvariable'
    end